Bug 197935 - [PATCH] Update Tryton 2.4 ports to latest patch level and add DEPRECATED / EXPIRATION_DATE
Summary: [PATCH] Update Tryton 2.4 ports to latest patch level and add DEPRECATED / EX...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-22 22:23 UTC by Matthias Petermann
Modified: 2015-07-05 08:28 UTC (History)
1 user (show)

See Also:


Attachments
tryton24-updates.txt (20.13 KB, text/plain)
2015-02-22 22:23 UTC, Matthias Petermann
no flags Details
tryton24-deprecate.txt (49.60 KB, text/plain)
2015-02-22 22:23 UTC, Matthias Petermann
no flags Details
tryton24-updates.txt (34.48 KB, text/plain)
2015-02-22 22:42 UTC, Matthias Petermann
no flags Details
Consolidated patch file (66.90 KB, patch)
2015-03-05 21:19 UTC, Matthias Petermann
no flags Details | Diff
Proposed patch (66.92 KB, patch)
2015-03-07 19:45 UTC, Matthias Petermann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Petermann 2015-02-22 22:23:13 UTC
Created attachment 153337 [details]
tryton24-updates.txt

Tryton 2.4 is no longer supported by the upstream project. Users are encouraged to upgrade to a newer version as soon as possible. To support this purpose, the attached patch files do:

* update all Tryton 2.4 ports to their ultimate versions (security fixes)
* add DEPRECATED / EXPIRATION_DATE to all Tryton 2.4 ports (warn new users)

There are two shar archives included in this PR, must be applied in this order:

1) tryton24-updates.txt (version updates)
2) tryton24-deprecate.txt (deprecation)

The shar archives contain single patch files for each port.
Comment 1 Matthias Petermann 2015-02-22 22:23:44 UTC
Created attachment 153338 [details]
tryton24-deprecate.txt
Comment 2 Matthias Petermann 2015-02-22 22:42:25 UTC
Created attachment 153339 [details]
tryton24-updates.txt
Comment 3 Matthias Petermann 2015-03-05 21:19:38 UTC
Created attachment 153867 [details]
Consolidated patch file
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2015-03-05 21:56:43 UTC
Take
Comment 5 Matthias Petermann 2015-03-07 19:45:08 UTC
Created attachment 153965 [details]
Proposed patch
Comment 6 commit-hook freebsd_committer 2015-07-05 08:26:09 UTC
A commit references this bug:

Author: rm
Date: Sun Jul  5 08:25:11 UTC 2015
New revision: 391349
URL: https://svnweb.freebsd.org/changeset/ports/391349

Log:
  Update tryton 2.4 suite to it's ultimate versions

  Tryton 2.4 is no longer supported by the upstream project. Users are encouraged
  to upgrade to a newer version as soon as possible (we have tryton 2.8 in ports).
  So update this ports to it's ultimate versions and mark it deprecated.
  Set expiration date to 2015-08-05.

  PR:		197935
  Submitted by:	Matthias Petermann <matthias@petermann-it.de> (maintainer)

Changes:
  head/finance/tryton/Makefile
  head/finance/tryton/distinfo
  head/finance/trytond/Makefile
  head/finance/trytond/distinfo
  head/finance/trytond_account/Makefile
  head/finance/trytond_account/distinfo
  head/finance/trytond_account_be/Makefile
  head/finance/trytond_account_invoice/Makefile
  head/finance/trytond_account_invoice/distinfo
  head/finance/trytond_account_invoice_history/Makefile
  head/finance/trytond_account_invoice_line_standalone/Makefile
  head/finance/trytond_account_product/Makefile
  head/finance/trytond_account_statement/Makefile
  head/finance/trytond_account_stock_anglo_saxon/Makefile
  head/finance/trytond_account_stock_anglo_saxon/distinfo
  head/finance/trytond_account_stock_continental/Makefile
  head/finance/trytond_analytic_account/Makefile
  head/finance/trytond_analytic_account/distinfo
  head/finance/trytond_analytic_invoice/Makefile
  head/finance/trytond_analytic_purchase/Makefile
  head/finance/trytond_analytic_sale/Makefile
  head/finance/trytond_calendar/Makefile
  head/finance/trytond_calendar/distinfo
  head/finance/trytond_calendar_classification/Makefile
  head/finance/trytond_calendar_scheduling/Makefile
  head/finance/trytond_calendar_todo/Makefile
  head/finance/trytond_calendar_todo/distinfo
  head/finance/trytond_carrier/Makefile
  head/finance/trytond_carrier_percentage/Makefile
  head/finance/trytond_carrier_weight/Makefile
  head/finance/trytond_carrier_weight/distinfo
  head/finance/trytond_company/Makefile
  head/finance/trytond_company_work_time/Makefile
  head/finance/trytond_country/Makefile
  head/finance/trytond_country/distinfo
  head/finance/trytond_currency/Makefile
  head/finance/trytond_currency/distinfo
  head/finance/trytond_dashboard/Makefile
  head/finance/trytond_ldap_authentication/Makefile
  head/finance/trytond_ldap_authentication/distinfo
  head/finance/trytond_ldap_connection/Makefile
  head/finance/trytond_party/Makefile
  head/finance/trytond_party/distinfo
  head/finance/trytond_party_siret/Makefile
  head/finance/trytond_party_vcarddav/Makefile
  head/finance/trytond_product/Makefile
  head/finance/trytond_product/distinfo
  head/finance/trytond_product_cost_fifo/Makefile
  head/finance/trytond_product_cost_history/Makefile
  head/finance/trytond_product_measurements/Makefile
  head/finance/trytond_product_price_list/Makefile
  head/finance/trytond_production/Makefile
  head/finance/trytond_production/distinfo
  head/finance/trytond_project/Makefile
  head/finance/trytond_project_plan/Makefile
  head/finance/trytond_project_plan/distinfo
  head/finance/trytond_project_revenue/Makefile
  head/finance/trytond_purchase/Makefile
  head/finance/trytond_purchase/distinfo
  head/finance/trytond_purchase_invoice_line_standalone/Makefile
  head/finance/trytond_purchase_invoice_line_standalone/distinfo
  head/finance/trytond_purchase_shipment_cost/Makefile
  head/finance/trytond_sale/Makefile
  head/finance/trytond_sale/distinfo
  head/finance/trytond_sale_opportunity/Makefile
  head/finance/trytond_sale_opportunity/distinfo
  head/finance/trytond_sale_price_list/Makefile
  head/finance/trytond_sale_shipment_cost/Makefile
  head/finance/trytond_stock/Makefile
  head/finance/trytond_stock/distinfo
  head/finance/trytond_stock_forecast/Makefile
  head/finance/trytond_stock_forecast/distinfo
  head/finance/trytond_stock_inventory_location/Makefile
  head/finance/trytond_stock_location_sequence/Makefile
  head/finance/trytond_stock_lot/Makefile
  head/finance/trytond_stock_product_location/Makefile
  head/finance/trytond_stock_product_location/distinfo
  head/finance/trytond_stock_split/Makefile
  head/finance/trytond_stock_split/distinfo
  head/finance/trytond_stock_supply/Makefile
  head/finance/trytond_stock_supply/distinfo
  head/finance/trytond_stock_supply_day/Makefile
  head/finance/trytond_stock_supply_forecast/Makefile
  head/finance/trytond_stock_supply_production/Makefile
  head/finance/trytond_timesheet/Makefile
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2015-07-05 08:28:17 UTC
Committed, thank you!